Ticket #43708

Ruleset files version consistency

Open Date: 2022-01-27 11:13 Last Update: 2022-03-27 05:58

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Alina L. wrote about ruleset format versions in https://www.hostedredmine.com/issues/695469

"which file's version should be checked? All possibly relevant ones (and hope they don't disagree)?"

--

We probably shouldn't try to support rulesets where the individual files disagree on version. I'd suggest replacing separate version numbers in rscompat_info with just one version, checking that all files agree (where we currently fill compat->ver_...), and considering it a hard ruleset loading failure when they don't.

Ticket History (3/6 Histories)

2022-01-27 11:13 Updated by: cazfi
  • New Ticket "Ruleset files version consistency" created
2022-02-15 01:12 Updated by: alienvalkyrie
  • Owner Update from (None) to alienvalkyrie
Comment

Should we already do this for 3.1? I think it's unlikely anyone is using mixed format versions during their ruleset update process, but if they are, sticking to 3.2 would leave them more time to adapt.

2022-02-16 05:20 Updated by: alienvalkyrie
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to S3_2 d3f
Comment

Reply To alienvalkyrie

Should we already do this for 3.1? I think it's unlikely anyone is using mixed format versions during their ruleset update process, but if they are, sticking to 3.2 would leave them more time to adapt.

I'll go ahead and stick with that, then.

2022-02-17 09:05 Updated by: alienvalkyrie
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
2022-03-27 05:58 Updated by: alienvalkyrie
Comment

Backported to S3_1: #44203

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login